Bug 750911 - Review Request: moconti - Web Application Server for Sleep
Review Request: moconti - Web Application Server for Sleep
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On: 750902
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-02 15:33 EDT by Orion Poplawski
Modified: 2013-05-01 17:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 13:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2011-11-02 15:33:54 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/moconti.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/moconti-102609-1.fc16.src.rpm
Description:
Moconti is a light-weight application server that lets you create web sites
using the Sleep Scripting Language. It supports multiple websites and is very
easy to setup.
Comment 1 Tomas Radej 2012-01-12 08:19:52 EST
Taking it.
Comment 2 Tomas Radej 2012-03-01 06:42:57 EST
Releasing it, the package this one is depending on is not resolved yet.
Comment 3 Orion Poplawski 2013-04-17 12:13:51 EDT
http://www.cora.nwra.com/~orion/fedora/moconti.spec
http://www.cora.nwra.com/~orion/fedora/moconti-102609-2.fc18.src.rpm

* Wed Apr 17 2013 Orion Poplawski <orion@cora.nwra.com> - 102609-2
- Update URL
- BR/R java-sleep
Comment 4 gil cattaneo 2013-04-23 12:18:08 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software'


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[?]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: moconti-102609-2.fc20.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint moconti
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Jar and class files in source
-----------------------------
./moconti/lib/sleep.jar


Requires
--------
moconti (rpmlib, GLIBC filtered):
    java
    java-sleep
    jpackage-utils



Provides
--------
moconti:
    moconti



MD5-sum check
-------------
http://www.polishmywriting.com/download/moconti102609.tgz :
  CHECKSUM(SHA256) this package     : ce651f2a11180f4f48093ea8f5cd3c603edde6a0fd744fc1c3dd1def3ae8f1ac
  CHECKSUM(SHA256) upstream package : ce651f2a11180f4f48093ea8f5cd3c603edde6a0fd744fc1c3dd1def3ae8f1ac


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29


there is a problem in the ant build file, use:
in compile target
           source="1.4"
           target="1.4"
must be
           source="1.5"
           target="1.5"

suggested add a javadoc task
Comment 5 Orion Poplawski 2013-04-23 13:01:55 EDT
http://www.cora.nwra.com/~orion/fedora/moconti-102609-3.fc18.src.rpm

* Tue Apr 23 2013 Orion Poplawski <orion@cora.nwra.com> - 102609-3
- Fix java target/source to 1.5
- Add javadoc
Comment 6 Orion Poplawski 2013-04-23 13:02:41 EDT
New Package SCM Request
=======================
Package Name: moconti
Short Description: Web Application Server for Sleep
Owners: orion
Branches: f18 f19 el6
InitialCC:
Comment 7 Jon Ciesla 2013-04-23 13:08:09 EDT
Git done (by process-git-requests).
Comment 8 Orion Poplawski 2013-04-23 13:39:34 EDT
Checked in and built.

Note You need to log in before you can comment on or make changes to this bug.